## com.bbn.openmap.util.propertyEditor
Class NonEditablePropertyEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.bbn.openmap.util.propertyEditor.NonEditablePropertyEditor

All Implemented Interfaces:
  java.beans.PropertyEditor

public class NonEditablePropertyEditor
extends java.beans.PropertyEditorSupport

A PropertyEditor that doesn't let you edit the property.

Constructor Summary
`NonEditablePropertyEditor()` Create NonEditablePropertyEditor.

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`java.lang.String` `getAsText()` Implement PropertyEditor interface.
`java.awt.Component` `getCustomEditor()` Returns a blank JLabel.
`void` `setValue(java.lang.Object someObj)` Implement PropertyEditor interface.
`boolean` `supportsCustomEditor()` PropertyEditor interface.

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonEditablePropertyEditor

    public NonEditablePropertyEditor()

  Create NonEditablePropertyEditor.

Method Detail

### supportsCustomEditor

    public boolean supportsCustomEditor()

  PropertyEditor interface.

  Returns:
    true

### getCustomEditor

    public java.awt.Component getCustomEditor()

  Returns a blank JLabel.

  Returns:
    JButton button

### setValue

    public void setValue(java.lang.Object someObj)

  Implement PropertyEditor interface.

### getAsText

    public java.lang.String getAsText()

  Implement PropertyEditor interface.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details